获取用户笔记列表/Get user posted notes
[中文]#
用途:#
参数:#
user_id: 用户ID,如 "61b46d790000000010008153"
share_text: 小红书分享链接(支持APP和Web端分享链接)
优先使用user_id,如果没有则使用share_text,两个参数二选一,如都携带则以user_id为准。
cursor: 分页游标,首次请求留空,翻页时传入上一次响应中返回的 cursor 值通常cursor取值方式为notes列表的最后一条笔记的 note_id
JSON路径示例: $.data.data.notes[-1].cursor
返回:#
翻页说明:#
翻页请求:传入上一次响应中返回的 cursor 值
[English]#
Purpose:#
Get list of notes posted by a specified user, using cursor pagination
Parameters:#
user_id: User ID, e.g. "61b46d790000000010008153"
share_text: Xiaohongshu sharing link (support APP and Web sharing link)
Prefer to use user_id, if not, use share_text, one of the two parameters is required, if both are carried, user_id shall prevail.
cursor: Pagination cursor, leave empty for first request, pass cursor value from previous response for next pageThe cursor is usually the note_id of the last note in the notes list
JSON path example: $.data.data.notes[-1].cursor
Return:#
User posted notes list data, including basic note info and pagination info
First request: leave cursor empty
Next page: pass cursor value from previous response
[示例/Example]#
user_id="61b46d790000000010008153"Request
Provide your bearer token in the Authorization
header when making requests to protected resources. Example:Authorization: Bearer ********************
or
Request Code Samples
curl --location 'https://api.tikomni.com/api/u1/v1/xiaohongshu/app_v2/get_user_posted_notes?user_id=61b46d790000000010008153&share_text=http%3A%2F%2Fxhslink.com%2Fo%2F8GqargIxrko&cursor=' \
--header 'Authorization: Bearer <token>'
Modified at 2026-06-11 22:47:42